#! /bin/bash

for source in "$@"; do
    case $source in
	*ChangeLog|*changelog) 
        source-highlight --failsafe -f esc --lang-def=changelog.lang --style-file=esc.style -i "$source" ;;
	*Makefile|*makefile) 
        source-highlight --failsafe -f esc --lang-def=makefile.lang --style-file=esc.style -i "$source" ;;
	*.a|*.arj|*.tar.bz2|*.bz|*.bz2|*.deb|*.udeb|*.ddeb|*.ipk|*.doc|*.egg|*.gif|*.jpeg|*.jpg|*.pcd|*.png|*.tga|*.tiff|*.tif|*.iso|*.bin|*.raw|*.lha|*.lzh|*.tar.lz|*.tlz|*.lz|*.tar.lzma|*.lzma|*.pdf|*.rar|*.r[0-9][0-9]|*.rpm|*.snap|*.tar.gz|*.tgz|*.tar.z|*.tar.dz|*.tar.xz|*.txz|*.whl|*.xz|*.gz|*.z|*.dz|*.tar|*.jar|*.war|*.ear|*.xpi|*.zip|*.7z|*.zoo)
	# The "lesspipe" script may or may not have ".sh" extension.
	lesspipe=$(which lesspipe 2>/dev/null)
	if [ -z "$lesspipe" ]; then
	    lesspipe=$(which lesspipe.sh 2>/dev/null)
	    if [ -z "$lesspipe" ]; then
		lesspipe="lesspipe"
	    fi
	fi
        $lesspipe "$source" ;;
        *) source-highlight --failsafe --infer-lang -f esc --style-file=esc.style -i "$source" ;;
    esac
done
